apiVersion: v1
data:
  MYSQL_DATABASE: pos_db
  MYSQL_DB_URI: jdbc:mysql://demouser:demopassword@mysql-db:3306/pos_db
  MYSQL_HOST: mysql-db
  MYSQL_PASSWORD: demopassword
  MYSQL_ROOT_PASSWORD: totoallysafepassword
  MYSQL_USER: demouser
kind: ConfigMap
metadata:
  name: mysql-db-config-9bc25g62fm
  namespace: point-of-sales
---
apiVersion: v1
data:
  SPRING_PROFILES_ACTIVE: INMEMORY
kind: ConfigMap
metadata:
  name: spring-profile-f7cff569gm
  namespace: point-of-sales
---
apiVersion: v1
data:
  ACTIVE_ITEM_TYPE: burgers
  INVENTORY_EP: http://inventory-svc:8080
  ITEMS: |
    items:
      - name: "Cheese Enchilada"
        type: "burgers"
        price: 5.20
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 20
        labels: [ "retail", "restaurant", "food" ]
      - name: "Google Burger"
        type: "burgers"
        price: 4.50
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 30
        labels: [ "retail", "restaurant", "food" ]
      - name: "Wings"
        type: "burgers"
        price: 3.75
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 200
        labels: [ "retail", "restaurant", "food" ]
      - name: "Chicken Nuggets"
        type: "burgers"
        price: 3.00
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 400
        labels: [ "retail", "restaurant", "food" ]
      - name: "Pork Enchilada"
        type: "burgers"
        price: 5.50
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 200
        labels: [ "retail", "restaurant", "food" ]
      - name: "French Fries"
        type: "burgers"
        price: 2.00
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 100
        labels: [ "retail", "restaurant", "food" ]
      - name: "Doughnuts"
        type: "burgers"
        price: 1.20
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 1400
        labels: [ "retail", "restaurant", "food" ]
      - name: "Tacos"
        type: "burgers"
        price: 2.90
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 400
        labels: [ "retail", "restaurant", "food" ]
      - name: "Grilled Corn"
        type: "burgers"
        price: 1.50
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 400
        labels: [ "retail", "restaurant", "food" ]
      - name: "Golden Hashbrowns"
        type: "burgers"
        price: 0.50
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 200
        labels: [ "retail", "restaurant", "food" ]
      - name: "Steak Enchilada"
        type: "burgers"
        price: 7.00
        imageUrl: "usr/lib/images/burgers.png"
        quantity: 400
        labels: [ "retail", "restaurant", "food" ]
  PAYMENTS_EP: http://payments-svc:8080
kind: ConfigMap
metadata:
  name: service-configs
---
apiVersion: v1
kind: Service
metadata:
  name: api-server-lb
  namespace: point-of-sales
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  selector:
    app: api-server
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: api-server-svc
  namespace: point-of-sales
spec:
  ports:
  - name: http
    port: 8080
    targetPort: 8080
  selector:
    app: api-server
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  name: inventory-svc
  namespace: point-of-sales
spec:
  ports:
  - name: http
    port: 8080
    targetPort: 8080
  selector:
    app: inventory
  type: ClusterIP
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: mysql-db
    tier: db
  name: mysql-db
  namespace: point-of-sales
spec:
  clusterIP: None
  ports:
  - name: tcp
    port: 3306
    protocol: TCP
    targetPort: 3306
  selector:
    app: mysql-db
    tier: db
---
apiVersion: v1
kind: Service
metadata:
  name: payments-svc
  namespace: point-of-sales
spec:
  ports:
  - name: http
    port: 8080
    targetPort: 8080
  selector:
    app: payments
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api-server
  namespace: point-of-sales
spec:
  selector:
    matchLabels:
      app: api-server
  template:
    metadata:
      labels:
        app: api-server
    spec:
      containers:
      - env:
        - name: INVENTORY_EP
          valueFrom:
            configMapKeyRef:
              key: INVENTORY_EP
              name: service-configs
        - name: PAYMENTS_EP
          valueFrom:
            configMapKeyRef:
              key: PAYMENTS_EP
              name: service-configs
        image: us-docker.pkg.dev/point-of-sale-ci/pos-images/api-server:v0.1.0
        livenessProbe:
          httpGet:
            path: /api/healthy
            port: 8080
          initialDelaySeconds: 120
          periodSeconds: 5
          timeoutSeconds: 10
        name: api-server
        readinessProbe:
          httpGet:
            path: /api/ready
            port: 8080
          initialDelaySeconds: 60
          periodSeconds: 5
          timeoutSeconds: 10
        resources:
          limits:
            cpu: 500m
            memory: 1Gi
          requests:
            cpu: 100m
            memory: 512Mi
      serviceAccountName: default
      terminationGracePeriodSeconds: 5
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: inventory
  namespace: point-of-sales
spec:
  selector:
    matchLabels:
      app: inventory
  template:
    metadata:
      labels:
        app: inventory
    spec:
      containers:
      - env:
        - name: SPRING_PROFILES_ACTIVE
          valueFrom:
            configMapKeyRef:
              key: SPRING_PROFILES_ACTIVE
              name: spring-profile-f7cff569gm
        - name: ACTIVE_ITEM_TYPE
          valueFrom:
            configMapKeyRef:
              key: ACTIVE_ITEM_TYPE
              name: service-configs
        - name: ITEMS
          valueFrom:
            configMapKeyRef:
              key: ITEMS
              name: service-configs
        image: us-docker.pkg.dev/point-of-sale-ci/pos-images/inventory:v0.1.0
        livenessProbe:
          httpGet:
            path: /healthy
            port: 8080
          initialDelaySeconds: 120
          periodSeconds: 5
          timeoutSeconds: 10
        name: inventory
        readinessProbe:
          httpGet:
            path: /ready
            port: 8080
          initialDelaySeconds: 60
          periodSeconds: 5
          timeoutSeconds: 10
        resources:
          limits:
            cpu: 500m
            memory: 1Gi
          requests:
            cpu: 100m
            memory: 512Mi
      serviceAccountName: default
      terminationGracePeriodSeconds: 5
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: payments
  namespace: point-of-sales
spec:
  selector:
    matchLabels:
      app: payments
  template:
    metadata:
      labels:
        app: payments
    spec:
      containers:
      - env:
        - name: SPRING_PROFILES_ACTIVE
          valueFrom:
            configMapKeyRef:
              key: SPRING_PROFILES_ACTIVE
              name: spring-profile-f7cff569gm
        image: us-docker.pkg.dev/point-of-sale-ci/pos-images/payments:v0.1.0
        livenessProbe:
          httpGet:
            path: /healthy
            port: 8080
          initialDelaySeconds: 120
          periodSeconds: 5
          timeoutSeconds: 10
        name: payments
        readinessProbe:
          httpGet:
            path: /ready
            port: 8080
          initialDelaySeconds: 60
          periodSeconds: 5
          timeoutSeconds: 10
        resources:
          limits:
            cpu: 500m
            memory: 1Gi
          requests:
            cpu: 100m
            memory: 512Mi
      serviceAccountName: default
      terminationGracePeriodSeconds: 5
---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  labels:
    app: mysql-db
    tier: db
  name: mysql-db
  namespace: point-of-sales
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mysql-db
      tier: db
  serviceName: mysql-db
  template:
    metadata:
      labels:
        app: mysql-db
        tier: db
    spec:
      containers:
      - envFrom:
        - configMapRef:
            name: mysql-db-config-9bc25g62fm
        image: mysql:8.0.28-oracle
        name: mysql-db
        ports:
        - containerPort: 3306
          name: mysqldb
          protocol: TCP
        resources:
          limits:
            cpu: 500m
            memory: 1Gi
          requests:
            cpu: 100m
            memory: 128Mi
        volumeMounts:
        - mountPath: /var/lib/mysql
          name: mysqldb
      serviceAccountName: default
      terminationGracePeriodSeconds: 10
      volumes:
      - emptyDir: {}
        name: mysqldb
